# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "ngt"
version = "0.4.0"
authors = ["Romain Leroux <romain@leroux.dev>"]
description = "Rust wrappers for NGT nearest neighbor search."
readme = "README.md"
keywords = ["ngt", "knn", "ann", "optimization"]
categories = ["science"]
license = "Apache-2.0"
repository = "https://github.com/lerouxrgd/ngt-rs"
[dependencies.ngt-sys]
version = "1.13.7"

[dependencies.num_enum]
version = "0.5"

[dependencies.scopeguard]
version = "1"
[dev-dependencies.rayon]
version = "1"

[dev-dependencies.tempfile]
version = "3"

[features]
large_data = ["ngt-sys/large_data"]
shared_mem = ["ngt-sys/shared_mem"]
